<ng-template [ngIf]="isOpen">
  <div class="toast fade show" role="alert" aria-live="assertive" aria-atomic="true">
    <div class="toast-header">
      <svg class="bd-placeholder-img rounded mr-2" width="20" height="20" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img">
        <rect width="100%" height="100%" fill="#29d487"></rect>
      </svg>
      <strong class="mr-auto">{{heading}}</strong>
      <small></small>
      <button type="button" class="close" aria-label="Close" (click)="close()">
        <span aria-hidden="true">&times;</span>
        <span class="sr-only">Close</span>
      </button>
    </div>
    <div class="toast-timer" [style.width]="progressLineWidth"></div>
    <div class="toast-body">
      <ng-content></ng-content>
    </div>
  </div>
</ng-template>


